package main.common.config;


import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import com.justep.cloud.boot.service.X5ContextService;
import com.justep.druid.StatViewServlet;
import org.springframework.boot.web.servlet.ServletRegistrationBean;

@Configuration(value="main-mainBaseConfig")
@ComponentScan(basePackages= {"main","com.justep.cloud.boot.health","log_collector","comp.apirequest","servicemetainfoext","dbrest","comp.context,com.justep.sdk.service","storage","comp.dbadmin","comp.openapi","meta","comp.batchrequest","comp.sn","servicemetainfo","comp.smsapi","uaa","excel","comp.excelpro","com.justep.cloud.model"})
public class MainBaseConfig {

	private String archServiceName = "main";
	public MainBaseConfig() {
		System.setProperty("justep.springboot.AppModule", archServiceName);
	}

	@Bean(value="main-x5ContextService")
	public X5ContextService x5ContextService(){
		X5ContextService ret = new X5ContextService();
		return ret;
	}

	@Bean(value="main-druidServlet")
	public ServletRegistrationBean<StatViewServlet> druidServlet() {
		ServletRegistrationBean<StatViewServlet> bean = new ServletRegistrationBean<StatViewServlet>();
		bean.setServlet(new StatViewServlet());
		bean.setName("DruidStatView");
		bean.addUrlMappings("/druid/*");
		bean.addInitParameter("resetEnable", "false");
		bean.addInitParameter("loginUsername", "druid");
		String passwd = System.getenv("API_SECRET");
		bean.addInitParameter("loginPassword", passwd);
		return bean;
	}
}
