package main.common.config;


import com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor;
import com.baomidou.mybatisplus.extension.plugins.inner.BlockAttackInnerInterceptor;
import com.baomidou.mybatisplus.extension.plugins.inner.InnerInterceptor;
import com.baomidou.mybatisplus.extension.plugins.inner.OptimisticLockerInnerInterceptor;
import com.baomidou.mybatisplus.extension.plugins.inner.PaginationInnerInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import java.util.ArrayList;
import java.util.List;
import com.justep.cloud.data.mybatisplus.LimitedPaginationInterceptor;


public class MybatisPlugInConfig {

	/**
	 * MP 3.4版本开始可用
	 * @return
	 */

	public MybatisPlusInterceptor mybatisPlusInterceptor() {
		MybatisPlusInterceptor interceptor = new MybatisPlusInterceptor();
		List<InnerInterceptor> interceptors = new ArrayList<>();
		//分页插件
		interceptors.add(new LimitedPaginationInterceptor());
		//乐观锁插件
		interceptors.add(new OptimisticLockerInnerInterceptor());
		//防止全表更新与删除插件
		interceptors.add(new BlockAttackInnerInterceptor());
		interceptor.setInterceptors(interceptors);
		return interceptor;
	}

}
