package servicemetainfo.common;

import java.lang.reflect.Field;
import java.lang.reflect.Proxy;

import org.apache.ibatis.reflection.MetaObject;
import org.apache.ibatis.reflection.SystemMetaObject;

public class PluginUtil {
	
private PluginUtil() {} // private constructor
	
	public static Object processTarget(Object target) {
		if(Proxy.isProxyClass(target.getClass())) {
			MetaObject mo = SystemMetaObject.forObject(target);
			return processTarget(mo.getValue("h.target"));
		}
		return target;
	}
	
	public static Field findVersionField(Object paraObj) {
		for (Field field :paraObj.getClass().getDeclaredFields()) {
			if (field.getAnnotation(VersionLocker.class) != null) {
				return field;
			}
		}
		return null;
	}

}
