package servicemetainfo.common.config;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.mybatis.spring.SqlSessionFactoryBean;
import org.springframework.core.io.ClassPathResource;
import org.springframework.web.servlet.i18n.CookieLocaleResolver;

import com.alibaba.druid.filter.Filter;
import com.alibaba.druid.filter.logging.Log4jFilter;
import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.util.JdbcConstants;
import com.alibaba.druid.util.JdbcUtils;
import com.google.common.collect.Lists;
import com.justep.comp.util.XMLUtil;
import com.justep.service.config.api.ServiceConfig;
import com.justep.service.config.api.ServiceConfigFactory;

@Configuration(value="servicemetainfo-jarsConfig")
@Import({ DatabaseConfig.class })
public class JarsConfig {
	public JarsConfig() throws Exception {

	}

	@Bean(name="servicemetainfo-springContextUtils")
	public SpringContextUtils springContextUtils() {
		return new SpringContextUtils();
	}

	@Bean(name = "servicemetainfo-localeResolver")
	public CookieLocaleResolver cookieLocaleResolver() {
		CookieLocaleResolver cookie = new CookieLocaleResolver();
		return cookie;
	}

	@Bean(name="servicemetainfo-myDispatcher")
	public MyDispatcher myDispatcher() {
		springContextUtils();
		return new MyDispatcher(SpringContextUtils.getApplicationContext());
	}
}
