package servicemetainfo.common.config;

import java.util.Map;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

public class SpringContextUtils implements ApplicationContextAware {
    private static ApplicationContext applicationContext;
 
    public void setApplicationContext(ApplicationContext context)
            throws BeansException {
        applicationContext = context;
    }
 
    /**
     * 获取applicationContext对象
     * @return
     */
    public static ApplicationContext getApplicationContext(){
        return applicationContext;
    }
     
    /**
     * 根据bean的id来查找对象
     * @param id
     * @return
     */
    public static Object getBeanById(String id){
        return applicationContext.getBean(id);
    }
     
    /**
     * 根据bean的class来查找对象
     * @param type
     * @return
     */
    public static <T> T getBeanByClass(Class<T> type){
        return applicationContext.getBean(type);
    }
    
    /**
     * 根据bean的name和class来查找对象
     * @param beanName
     * @param clazz
     * @return
     */
    public static <T> T getBeanByName(String beanName, Class<T> clazz) {
		return applicationContext.getBean(beanName, clazz);
	}
     
    /**
     * 根据bean的class来查找所有的对象(包括子类)
     * @param c
     * @return
     */
    public <T> Map<String, T> getBeansByClass(Class<T> type){
        return applicationContext.getBeansOfType(type);
    }
}