package servicemetainfo.controller;

import java.io.IOException;
import java.util.Locale;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

public class LocaleSerializer extends JsonSerializer<Locale> {

	@Override
	public void serialize(Locale value, JsonGenerator gen, SerializerProvider serializers) throws IOException {
		gen.writeStartObject();
        gen.writeStringField("language", value.getLanguage());
        gen.writeStringField("country", value.getCountry());
        gen.writeStringField("variant", value.getVariant());
        gen.writeStringField("script", value.getScript());
        gen.writeStringField("displayLanguage", value.getDisplayLanguage());
        gen.writeStringField("displayCountry", value.getDisplayCountry());
        gen.writeStringField("displayVariant", value.getDisplayVariant());
        gen.writeStringField("displayScript", value.getDisplayScript());
        gen.writeEndObject();

	}
	
}
